API

Update chat integration settings

POST/api/crm/v2/integration_chats.updatev2
operationId: integrationChats.update

Updates chat service settings. Field values are passed as {field} and truncated to 100 characters. Protected fields are encrypted before saving.

Authorization

api-token + language + role

Query parameters

branch_idintegerrequired

Example: 1

Request body application/json

Key template — ${field}

object
One of the options
object
idintegerrequired

Example: 2

chat_tokenstringrequired

Example: secret

cabinet_tokenstringrequired

Example: secret

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject